Bug 139114 - mkinitrd 4.x man page is missing instructions for loopback root
mkinitrd 4.x man page is missing instructions for loopback root
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 18:17 EST by Barry K. Nathan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-15 09:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2004-11-12 18:17:57 EST
Description of problem:
The mkinitrd 3.x man page had the following paragraphs:
---begin quote---
       If  the  root device is on a loop device (such as /dev/loop0),
mkinitrd
       will build an initrd which sets up the loopback file properly.
  To  do
       this, the fstab must contain a comment of the form:

           # LOOP0: /dev/hda1 vfat /linux/rootfs

       LOOP0 must be the name of the loop device which needs to be
configured,
       in all capital lettes. The parameters after the colon  are  the
 device
       which  contains  the  filesystem  with  the  loopback  image on
it, the
       filesystem which is on the device, and the full path  to  the 
loopback
       image.  If the filesystem is modular, initrd will automatically
add the
       filesystem’s modules to the initrd image.
---end quote---

However, this is no longer mentioned in the mkinitrd 4.x man page. Was
this intentionally removed from the man page or is it just an
oversight? If the latter, then I believe the instructions should be
added back to the man page.

(The functionality still works; in fact, I'm filing this bug via a
router running Fedora Core 3 off a loopback file on a VFAT partition.)

Version-Release number of selected component (if applicable):
mkinitrd-4.1.18-2

How reproducible:
Always
Comment 1 Jeremy Katz 2004-11-15 09:44:39 EST
Loopback root stuff isn't officially supported any more.  It might
still work but I don't ever test it and reserve the right to pull the
functionality at any time.

Documenting it is counter to that.
Comment 2 Barry K. Nathan 2004-11-15 16:23:23 EST
Ok, thanks for the explanation.

Note You need to log in before you can comment on or make changes to this bug.